<?php
/**
* @version	$Id: translator_tp.php 14244 2011-03-16 20:53:41Z alex $
* @package	In-Portal
* @copyright	Copyright (C) 1997 - 2009 Intechnic. All rights reserved.
* @license      GNU/GPL
* In-Portal is Open Source software.
* This means that this software may have been modified pursuant
* the GNU General Public License, and as distributed it includes
* or is derivative of works licensed under the GNU General Public License
* or other free or open source software licenses.
* See http://www.in-portal.org/license for copyright notices and details.
*/

	defined('FULL_PATH') or die('restricted access!');

	class TranslatorTagProcessor extends kDBTagProcessor {

		/**
		 * Builds link to item, that ownes TargetField
		 *
		 * @param Array $params
		 * @return string
		 */
		function ItemLink($params)
		{
			$target_field = $this->Application->GetVar('TargetField');

			if (preg_match('/(.*)\[([\d]*)\]\[l[\d]_(.*)\]/', $target_field, $regs)) {
				$params['pass'] = 'm,' . $regs[1];

				return $this->Application->ProcessParsedTag('m', 'Link', $params);
			}

			return '';
		}
	}